require "active_support/concern"

module SusanCollins
  module DeepConcern
    extend ActiveSupport::Concern  # sad!

    class_methods do
      def is_deeply_concerned!
        Object.const_set(:Concern, ::ActiveSupport::Concern)
      end

      def is_deeply_concerned?
        defined?(::Concern) && ::Concern == ::ActiveSupport::Concern
      end
    end
  end

  include DeepConcern
end
